<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfPhaseShiftCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfPhaseShiftCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF Phase Shift enable/disable configuration.  
 <a href="structrl_rf_phase_shift_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abe984274ba70aa622c12572cc762afd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe984274ba70aa622c12572cc762afd9"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#abe984274ba70aa622c12572cc762afd9">chirpStartIdx</a></td></tr>
<tr class="memdesc:abe984274ba70aa622c12572cc762afd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Start Index, Valid Range 0 -511. <br /></td></tr>
<tr class="separator:abe984274ba70aa622c12572cc762afd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89038a3e9915d6182e572291f70aa596"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89038a3e9915d6182e572291f70aa596"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#a89038a3e9915d6182e572291f70aa596">chirpEndIdx</a></td></tr>
<tr class="memdesc:a89038a3e9915d6182e572291f70aa596"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp End Index, Valid Range from chirpStartIdx to 511. <br /></td></tr>
<tr class="separator:a89038a3e9915d6182e572291f70aa596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ec1861dde92fa5bbb959316fcbd917"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7ec1861dde92fa5bbb959316fcbd917"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#aa7ec1861dde92fa5bbb959316fcbd917">tx0PhaseShift</a></td></tr>
<tr class="memdesc:aa7ec1861dde92fa5bbb959316fcbd917"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX0 phase shift definition <br />
 [b1:0] reserved (set it to 0b00) <br />
 [b7:2] TX0 phase shift value <br />
 1 LSB = 360/2^6 = 5.625 degrees<br />
 Valid range: 0 to 63 <br />
. <br /></td></tr>
<tr class="separator:aa7ec1861dde92fa5bbb959316fcbd917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c18a9b4dec693e46de4168bb4cfd89f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c18a9b4dec693e46de4168bb4cfd89f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#a3c18a9b4dec693e46de4168bb4cfd89f">tx1PhaseShift</a></td></tr>
<tr class="memdesc:a3c18a9b4dec693e46de4168bb4cfd89f"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX1 phase shift definition <br />
 [b1:0] reserved (set it to 0b00) <br />
 [b7:2] TX1 phase shift value <br />
 1 LSB = 360/2^6 = 5.625 degrees<br />
 Valid range: 0 to 63 <br />
. <br /></td></tr>
<tr class="separator:a3c18a9b4dec693e46de4168bb4cfd89f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b77a2467bf015225cfda7f76213c292"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b77a2467bf015225cfda7f76213c292"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#a2b77a2467bf015225cfda7f76213c292">tx2PhaseShift</a></td></tr>
<tr class="memdesc:a2b77a2467bf015225cfda7f76213c292"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX2 phase shift definition <br />
 [b1:0] reserved (set it to 0b00) <br />
 [b7:2] TX2 phase shift value <br />
 1 LSB = 360/2^6 = 5.625 degrees<br />
 Valid range: 0 to 63 <br />
. <br /></td></tr>
<tr class="separator:a2b77a2467bf015225cfda7f76213c292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0182af442f03f517b7596ecb59774ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0182af442f03f517b7596ecb59774ab"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_phase_shift_cfg__t.html#ae0182af442f03f517b7596ecb59774ab">reserved</a></td></tr>
<tr class="memdesc:ae0182af442f03f517b7596ecb59774ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ae0182af442f03f517b7596ecb59774ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF Phase Shift enable/disable configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
